Bug 728500 - Disconnect problems with new RTL8192SE driver in kernel 2.6.40
Summary: Disconnect problems with new RTL8192SE driver in kernel 2.6.40
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: rtlwifi
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 11:17 UTC by Jussi Eloranta
Modified: 2012-08-07 16:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:13 UTC


Attachments (Terms of Use)

Description Jussi Eloranta 2011-08-05 11:17:32 UTC
Description of problem:

Kernel 2.6.40 includes the new RTL8192SE wireless driver (FC15). It connect correctly but it drops the connection every few minutes. Whenever this happens I see with dmesg:

[ 3086.438541] cfg80211: Calling CRDA to update world regulatory domain                                                                              
[ 3086.442673] cfg80211: World regulatory domain updated:
[ 3086.442676] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 3086.442680] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 3086.442683] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 3086.442685] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 3086.442688] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 3086.442691] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 3086.442709] cfg80211: Calling CRDA for country: FR
[ 3086.451859] cfg80211: Regulatory domain changed to country: FR
[ 3086.451862] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 3086.451866] cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 3086.451868] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 3086.451871] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 3086.451874] cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[ 3087.678020] wlan1: direct probe to 00:1d:45:50:e3:e0 (try 1/3)
[ 3087.878040] wlan1: direct probe to 00:1d:45:50:e3:e0 (try 2/3)
[ 3088.078028] wlan1: direct probe to 00:1d:45:50:e3:e0 (try 3/3)
[ 3088.278038] wlan1: direct probe to 00:1d:45:50:e3:e0 timed out
[ 3094.409027] wlan1: authenticate with 00:1c:58:f1:4f:30 (try 1)
[ 3094.410745] wlan1: authenticated
[ 3094.434892] wlan1: associate with 00:1c:58:f1:4f:30 (try 1)
[ 3094.438434] wlan1: RX ReassocResp from 00:1c:58:f1:4f:30 (capab=0x421 status=0 aid=217)
[ 3094.438438] wlan1: associated
[ 3116.185135] wlan1: deauthenticated from 00:1c:58:f1:4f:30 (Reason: 2)

After this the connection is frozen for a while and it then reconnects automatically again. This cycle keeps repeating over an over.

/var/adm/messages show:

Aug  4 23:12:45 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> disconnected
Aug  4 23:12:46 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: disconnected -> scanning
Aug  4 23:12:47 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: scanning -> authenticating
Aug  4 23:12:47 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:12:47 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:12:50 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:1D:45:51:4B:60 (Wifi-Residents) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:14:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:14:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to (none) ((none))
Aug  4 23:14:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:14:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:14:38 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:16:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:16:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to (none) ((none))
Aug  4 23:16:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:16:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:16:38 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:18:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:18:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:18:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:18:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to 00:1D:45:51:4C:30 (Wifi-Residents)
Aug  4 23:20:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:20:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:1D:45:51:4C:30 (Wifi-Residents) to (none) ((none))
Aug  4 23:20:30 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:20:30 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:20:32 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:22:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:22:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to (none) ((none))
Aug  4 23:22:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> completed
Aug  4 23:22:38 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:24:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:24:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to (none) ((none))
Aug  4 23:24:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:24:37 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:24:38 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:1D:45:51:4A:30 (Wifi-Residents)
Aug  4 23:25:18 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> disconnected
Aug  4 23:25:18 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: disconnected -> scanning
Aug  4 23:25:19 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: scanning -> authenticating
Aug  4 23:25:19 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:25:19 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:25:20 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:1D:45:51:4A:30 (Wifi-Residents) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:26:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:26:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to (none) ((none))
Aug  4 23:26:43 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:26:43 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:26:44 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:1D:45:51:4C:30 (Wifi-Residents)
Aug  4 23:28:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:28:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:1D:45:51:4C:30 (Wifi-Residents) to (none) ((none))
Aug  4 23:28:30 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:28:30 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:28:32 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID (none) ((none)) to 00:1D:45:51:4B:60 (Wifi-Residents)
Aug  4 23:29:44 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> disconnected
Aug  4 23:29:45 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: disconnected -> scanning
Aug  4 23:29:46 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: scanning -> authenticating
Aug  4 23:29:46 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:29:46 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:29:50 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:1D:45:51:4B:60 (Wifi-Residents) to 00:07:0E:15:AD:40 (Wifi-Residents)
Aug  4 23:30:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> authenticating
Aug  4 23:30:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:30:23 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed
Aug  4 23:30:26 localhost NetworkManager[721]: <info> (wlan1): roamed from BSSID 00:07:0E:15:AD:40 (Wifi-Residents) to 00:1D:45:51:4C:30 (Wifi-Residents)
Aug  4 23:32:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: completed -> disconnected
Aug  4 23:32:24 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: disconnected -> scanning
Aug  4 23:32:25 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: scanning -> authenticating
Aug  4 23:32:25 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: authenticating -> associating
Aug  4 23:32:25 localhost NetworkManager[721]: <info> (wlan1): supplicant interface state: associating -> completed

lspci identifies my card as:
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvA Wireless LAN Controller (rev 10)

I tried two version of NetworkManager: 1:0.8.9997-6.git20110721.fc15  and ... forgot the version but it came with yum downgrade on the previous one. Both have the same issue although the older version did not get hung up for so long time as the new one.

uname -a:

Linux localhost.localdomain 2.6.40-4.fc15.i686 #1 SMP Fri Jul 29 18:54:39 UTC 2011 i686 i686 i386 GNU/Linux

The previous RTL supplied version did seem to have occasional hiccups as well. I think people have noticed that this as to do with the N-mode being used. iwconfig identifies my link as 58 Mb/s. I did try turning off the power saving etc. but this did not help. It was not apparently possible to change the link speed just by iwconfig as it was put back to 58 right away (-> can't test if this had something to do with the N-mode).

Comment 1 Jussi Eloranta 2011-08-05 15:57:26 UTC
I killed networkmanager and configure everything by hand. No more disconnects / hickups. So this probably has something to do with networkmanager. The link speed is also 58 mbs.

Comment 2 Dave Jones 2011-08-06 04:01:30 UTC
It looks like you've roamed between several different access points, so NM is probably just picking the one with the strongest signal, and jumping to it. I don't believe the kernel driver will do that itself. Dan ?

Comment 3 Jussi Eloranta 2011-08-06 10:34:19 UTC
I don't think this is a kernel driver issue directly (?). Somehow networkmanager keeps roaming back and forth causing the connection to stall. Also the N-mode probably works fine since everything was OK when manually configuring the connection. 

I can see that, for some odd reason, the signal strength was about 70/70 with manual configuration and somewhere between 50 - 70 / 70 with network manager. Could it be that there are several access points with similar signal strengths and networkmanager can't decide which to keep using? Also dmesg shows that there are complaints about timeouts, which could have something to do with the kernel driver.

Comment 4 John W. Linville 2011-08-08 15:27:07 UTC
Reason code 2 is "previous authentication no longer valid".  (Sometimes I wonder if we should just embed these reason codes text strings in the kernel.)

I agree w/ Dave, it seems like the driver is basically just doing what NM is telling it to do.  The /var/adm/messages info suggests that the Wifi-Residents network has a number of APs and NM is trying to roam between them.  The Reason code suggests that authentication info is not being properly shared between the APs on the Wifi-Residents network, so the Reassociation requests that are part of the roaming effort are failing.

Maybe NM has some settings that can influence this behaviour?  Or maybe NM needs to try roaming with Associations rather than Reassociations?  Dunno...

I'm going to move this to NetworkManager for now, until Dan or some other NM person can tell me how I'm getting it all wrong... :-)

Comment 5 Fedora End Of Life 2012-08-07 16:03:16 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.